/**
 * \file movetotrash.h
 * Move file or directory to trash.
 *
 * \b Project: Kid3
 * \author Urs Fleisch
 * \date 22 Aug 2011
 *
 * Copyright (C) 2011  Urs Fleisch
 *
 * This file is part of Kid3.
 *
 * Kid3 is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Kid3 is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef MOVETOTRASH_H
#define MOVETOTRASH_H

#include "kid3api.h"

class QString;

namespace Utils {

  /**
   * Move file or directory to trash.
   *
   * @param path path to file or directory
   *
   * @return true if ok.
   */
  bool KID3_CORE_EXPORT moveToTrash(const QString& path);

}

#endif // MOVETOTRASH_H
